{{ encore_entry_link_tags('page-children-activities') }}

<div class="container">
	<div class="row">
		{% for child in children %}
			<div class="col-sm-12">
				<div class="children-card-activities rounded mb-3">
					<div class="children-card-activities-infos d-flex flex-column flex-lg-row">
						<div class="children-card-activities-info-container-image">
							{% if child.page.imageThumbnail %}
								<img src="{{ image_directory ~ child.page.imageThumbnail.directory }}" alt="{{ child.page.imageThumbnail.alt ? child.page.imageThumbnail.alt : '' }}"/>
							{% elseif child.page.banner %}
								<img src="{{ image_directory ~ child.page.banner.directory }}" alt="{{ child.page.banner.alt ? child.page.banner.alt : '' }}"/>
							{% else %}
								<img src="{{ asset('assets/images/elements/no-image.png') }}" alt="no image">
							{% endif %}
						</div>
						<div class="ms-3 p-2">
							<h3 class="my-3">{{ child.pageElements.title }}</h3>
							{% if null != child.pageElements.description %}
								<div>
									{{ child.pageElements.description|truncate(400)|raw }}
								</div>
							{% endif %}
							<a class="children-card-activities__link" href="{{ absolute_url(path('page_index', {'slug' : child.page.slug})) }}">
								<i class="fa-solid fa-chevron-right"></i>
								Lire la suite
							</a>

						</div>
					</div>
				</div>
			</div>
		{% endfor %}
	</div>
</div>
